<input [formControl]="formControl" #focus
       [type]="showPassword ? 'text' : 'password'"
       [id]="id"
       [required]="required"
       [placeholder]="placeholder"
       [minlength]="minlength !== null ? minlength : ''"
       [maxlength]="maxlength !== null ? maxlength : ''"
       [pattern]="pattern"
       [tabindex]="tabIndex"
       [attr.aria-invalid]="ngControl?.invalid"
       [attr.aria-describedby]="describedBy ? describedBy : id + '-hint'"
       [autocomplete]="autocomplete ? autocomplete : 'off'">
<span class="portal-container" id="portal-{{id}}"></span>
<span class="toggle-wrapper">
  <button cui-icon-button mode="ghost" (click)="toggle()"
          type="button"
          [disabled]="isDisabled || disabled"
          [icon]="showPassword ? 'eye-solid' : 'eye-outlined'"
          [class.cui-text-primary]="showPassword"></button>
</span>
